M16C-FLASH(1)

NAME
m16c-flash - Flash programmer for Renesas M16C and R8C microcontrollers

SYNOPSIS
m16c-flash [COM_DEV] [CPU_TYPE] [FILE] [ID1:...:ID7] [OPTIONS]

DESCRIPTION
m16c-flash is a flash programmer for the Renesas M16C and R8C microcontrollers which operates in asynchronous mode.

OPTIONS
COM_DEV The serial device to use for flashing, e.g. /dev/ttyS0 or /dev/ttyUSB0.

CPU_TYPE The CPU type you want to flash to (currently M16C or R8C).

FILE The filename of the binary you want to flash.

ID1:...:ID7 The device ID.

--help Show a help text and exit.

--version Show version information and exit.

EXAMPLES
Flash the simple.s file onto an M16C microcontroller via the first serial port (/dev/ttyS0) using 0:0:0:0:0:0:0 as the device ID:
m16c-flash /dev/ttyS0 M16C simple.s 0:0:0:0:0:0:0

Flash the test.mot file onto an R8C microcontroller via the USB serial device /dev/ttyUSB0, and using ff:ff:ff:ff:ff:ff:ff as device ID:
m16c-flash /dev/ttyUSB0 R8C test.mot ff:ff:ff:ff:ff:ff:ff

BUGS
Please report any bugs to Thomas Fischl <tfischl@gmx.de>.

LICENCE
m16c-flash is covered by the GNU General Public License (GPL).

AUTHORS
Greg Reynolds <greg@lostintheether.net>
Jim Hawkridge <h046@eee-fs4.bham.ac.uk>
Thomas Fischl <tfischl@gmx.de>

This manual page was written by Uwe Hermann <uwe@hermann-uwe.de>, for the Debian GNU/Linux system (but may be used by others).